Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter Class Reference

Before writing a catalogue to a file, maps the given catalogue with the english sources: if a message doesn't have a human readable source (e.g. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter:

## Public Member Functions
| __construct (FileWriter $innerFileWriter, LoaderManager $loaderManager)

## Private Member Functions
| getEnglishFilePath ($filePath)
| loadEnglishCatalogue ($foreignFilePath, $domain, $format)
| hasEnglishCatalogue ($foreignFilePath)
| makeXliffMessage (Message $message)

## Private Attributes
| $loaderManager
| $innerFileWriter

## Detailed Description

Before writing a catalogue to a file, maps the given catalogue with the english sources: if a message doesn't have a human readable source (e.g.

an id), sets the source to the matching english string.

Definition at line 20 of file CatalogueMapperFileWriter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::__construct | ( | FileWriter | $innerFileWriter,
|  | LoaderManager | $loaderManager
| ) |  |

Definition at line 28 of file CatalogueMapperFileWriter.php.

References eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\$innerFileWriter, and eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\$loaderManager.

## Member Function Documentation

## ◆ getEnglishFilePath()

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::getEnglishFilePath | ( |  | $filePath | ) |
| private

Parameters

  $filePath |

Returns
  mixed

Definition at line 81 of file CatalogueMapperFileWriter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\hasEnglishCatalogue(), and eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\loadEnglishCatalogue().

## ◆ hasEnglishCatalogue()

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::hasEnglishCatalogue | ( |  | $foreignFilePath | ) |
| private

Definition at line 103 of file CatalogueMapperFileWriter.php.

References eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\getEnglishFilePath().

## ◆ loadEnglishCatalogue()

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::loadEnglishCatalogue | ( |  | $foreignFilePath,
|  |  | $domain,
|  |  | $format
| ) |  |
| private

Parameters

  $foreignFilePath |
  $domain |
  $format |

Returns
  MessageCatalogue

Definition at line 93 of file CatalogueMapperFileWriter.php.

References eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\getEnglishFilePath().

## ◆ makeXliffMessage()

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::makeXliffMessage | ( | Message | $message | ) |
| private

Parameters

  $message |

Returns
  Message\XliffMessage

Definition at line 113 of file CatalogueMapperFileWriter.php.

## Member Data Documentation

## ◆ $innerFileWriter

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::$innerFileWriter
| private

Definition at line 26 of file CatalogueMapperFileWriter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\__construct().

## ◆ $loaderManager

eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter::$loaderManager
| private

Definition at line 23 of file CatalogueMapperFileWriter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Translation\CatalogueMapperFileWriter\__construct().

The documentation for this class was generated from the following file:

- CatalogueMapperFileWriter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.